// ドキュメントおよびサンプルは以下のページにあります
// http://smdn.jp/works/libs/Smdn.Net.Pop3.Client/docs/

using System;

using Smdn.Net.Pop3.Client;

class MainClass {
  public static void Main(string[] args)
  {
    PopSslConnection.ServerCertificateValidationCallback += delegate {
      // 適切な証明書の検証を行うように書き換えてください
      return true;
    };

    using (var client = new PopClient(new Uri("pop://user@localhost:10110/"))) {
      client.Profile.UseTlsIfAvailable = true;    // 可能ならSSL/TLSでの接続を行う
      client.Profile.AllowInsecureLogin = false;  // 平文での認証を許可しない
      client.Connect("pass");

      Console.WriteLine("connected!!");

      // メールボックス内のメッセージ数を表示
      Console.WriteLine("message count: {0}", client.MessageCount);

      client.DeleteAfterRetrieve = false; // ダウンロードしたメッセージを削除しない

      // 最後に受信したメッセージをダウンロードしてファイルmessage.emlに保存する
      client.DownloadLastMessageToFile("message.eml");

      client.Logout();
    }
  }
}
